Bug 1902175 - python-pyface fails to build with Python 3.10: tests lead to core dump
Summary: python-pyface fails to build with Python 3.10: tests lead to core dump
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: python-pyface
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Orion Poplawski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON3.10
TreeView+ depends on / blocked
 
Reported: 2020-11-27 08:46 UTC by Tomáš Hrnčiar
Modified: 2021-02-09 16:23 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github enthought pyface issues 873 0 None open Test failure with python 3.10a4 2021-02-01 08:53:00 UTC

Description Tomáš Hrnčiar 2020-11-27 08:46:16 UTC
python-pyface fails to build with Python 3.10.0a2.

test_bind (pyface.tests.test_python_shell.TestPythonShell) ... /usr/bin/xvfb-run: line 181:  4697 Aborted                 (core dumped) DISPLAY=:$SERVERNUM XAUTHORITY=$AUTHFILE "$@" 2>&1
error: Bad exit status from /var/tmp/rpm-tmp.2KFsot (%check)

For the build logs, see:
https://copr-be.cloud.fedoraproject.org/results/@python/python3.10/fedora-rawhide-x86_64/01796689-python-pyface/

For all our attempts to build python-pyface with Python 3.10, see:
https://copr.fedorainfracloud.org/coprs/g/python/python3.10/package/python-pyface/

Testing and mass rebuild of packages is happening in copr. You can follow these instructions to test locally in mock if your package builds with Python 3.10:
https://copr.fedorainfracloud.org/coprs/g/python/python3.10/

Let us know here if you have any questions.

Python 3.10 will be included in Fedora 35. To make that update smoother, we're building Fedora packages with early pre-releases of Python 3.10.
A build failure prevents us from testing all dependent packages (transitive [Build]Requires), so if this package is required a lot, it's important for us to get it fixed soon.
We'd appreciate help from the people who know this package best, but if you don't want to work on this now, let us know so we can try to work around it on our side.

Comment 1 Tomáš Hrnčiar 2021-01-19 15:14:15 UTC
Hello, please is there any update on this? I have tried to build latest 7.2.0 version but the error is still present.

Comment 2 Orion Poplawski 2021-01-27 04:55:32 UTC
Filed upstream

Comment 3 Ben Cotton 2021-02-09 15:28:41 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 34 development cycle.
Changing version to 34.


Note You need to log in before you can comment on or make changes to this bug.